package com.yihu.wlyy.entity.consult;

import java.sql.Time;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 视频咨询转诊记录表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_consult_movi_referral")
public class ConsultMoViReferral extends IdEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = -544301814870032058L;

	// 视频咨询标识
	private String consult;
	// 转出医生标识
	private String from;
	// 转出医生姓名
	private String fromName;
	// 转入医生标识
	private String to;
	// 排班标识
	private String scheduling;
	// 预约日期
	private Date appoDate;
	// 预约星期
	private Integer appoWeek;
	// 预约开始时间
	private Time hourBegin;
	// 预约结束时间
	private Time hourEnd;
	// 转诊说明
	private String content;
	// 通话时长：分钟
	private Integer talkTime;
	// 是否已转诊：1是，0否
	private Integer flag;
	// 转诊时间
	private Date czrq;

	public String getConsult() {
		return consult;
	}

	public void setConsult(String consult) {
		this.consult = consult;
	}

	@Column(name = "form_doctor")
	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

	@Column(name = "form_doctor_name")
	public String getFromName() {
		return fromName;
	}

	public void setFromName(String fromName) {
		this.fromName = fromName;
	}

	@Column(name = "to_doctor")
	public String getTo() {
		return to;
	}

	public void setTo(String to) {
		this.to = to;
	}

	public String getScheduling() {
		return scheduling;
	}

	public void setScheduling(String scheduling) {
		this.scheduling = scheduling;
	}

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
	public Date getAppoDate() {
		return appoDate;
	}

	public void setAppoDate(Date appoDate) {
		this.appoDate = appoDate;
	}

	public Integer getAppoWeek() {
		return appoWeek;
	}

	public void setAppoWeek(Integer appoWeek) {
		this.appoWeek = appoWeek;
	}

	@Column(name = "hour_begin")
	public Time getHourBegin() {
		return hourBegin;
	}

	public void setHourBegin(Time hourBegin) {
		this.hourBegin = hourBegin;
	}

	@Column(name = "hour_end")
	public Time getHourEnd() {
		return hourEnd;
	}

	public void setHourEnd(Time hourEnd) {
		this.hourEnd = hourEnd;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@Column(name = "talk_time")
	public Integer getTalkTime() {
		return talkTime;
	}

	public void setTalkTime(Integer talkTime) {
		this.talkTime = talkTime;
	}

	public Integer getFlag() {
		return flag;
	}

	public void setFlag(Integer flag) {
		this.flag = flag;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
